Subject: Re: bug#29048: 26.0.90; [PATCH] Improve documentation on Edebug and macros

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 Nov 2017 15:41:32 +0200

> From: Gemini Lasswell <[email-masked]>
> Date: Sat, 28 Oct 2017 18:01:43 -0700
> 
> Here are a few suggestions to try to make that dense section of the
> manual on Edebug and macros a little clearer.

Thanks, this is okay for the release branch.

> I'd like to remove mention of eval-when-compile from the explanation
> of how to make sure macro specifications are available, because it's
> not the only way to get yourself in that situation. If you navigate to
> a function in a file that's not yet loaded which uses a macro in a
> different file required by the first file and also not yet loaded, and
> C-u C-M-x, Edebug will complain due to the lack of macro spec
> regardless of whether the never-executed require in the first file was
> wrapped with eval-when-compile.

That's okay, but please mention eval-when-compile as an example of the
broader class of situations with instrumenting code wrapped with
macros.

> * doc/lispref/edebug.texi (Instrumenting Macro Calls): Refer to
> `require' instead of `eval-when-compile' in discussion of loading
> macro specifications before instrumenting.

In log entries and in NEWS, we use quoting 'like this' nowadays, not
`like this'.